#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){
	
	//ofSetVerticalSync(true);
	ofSetFrameRate(30);
	ofBackground(20, 20, 20);
	ofSetColor(ofRandom(0,255),ofRandom(0,255),ofRandom(0,255));
	
	yRandom = ofRandom(30, 720);
	
	myBall.posa.x = 0;
	myBall.posa.y = yRandom;
	myBall.posb.x = 1024;
	myBall.posb.y = yRandom;
	myBall.interpolateByPct(0);
	pct=0;
	
	getTime = 0;
}

//--------------------------------------------------------------
void testApp::update(){
	
	pct += 0.0295f;
	if (pct > 1) {
	//	pct = 0;
	}
	myBall.interpolateByPct(pct);
	
	if (myBall.pos.x<=1024) {
		getTime++;
	}
	
}

//--------------------------------------------------------------
void testApp::draw(){
	
	myBall.draw();
	
	ofDrawBitmapString("seconds:" + ofToString(getTime/30), 20, 20);
	
	
}

//--------------------------------------------------------------
void testApp::keyPressed(int key){

}

//--------------------------------------------------------------
void testApp::keyReleased(int key){

}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){

}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h){

}

